%define major		2
%define api		5.1
%define libluajit	%mklibname %{name}-%{api} _%{major}
%define libluajitcomm	%mklibname %{name}-%{api}-common
%define devluajit	%mklibname %{name}-%{api} -d
%define	tarname		LuaJIT
%define	ver		2.0.0
%define	beta		beta11
%define rel		1

%if %{beta}
# When version changes use next line instead of current
#%%define release	%%mkrel -c %%{beta} %%{rel}
%define release	%mkrel 0.2.%{beta}.%{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:			luajit
Version:		%{ver}
Release:		%{release}
Summary:		Just-In-Time Compiler for the Lua programming language
Group:			Development/Other
License:		MIT
Url:			http://luajit.org/luajit.html
# http://luajit.org/download/LuaJIT-2.0.0-beta10.tar.gz
Source:	http://%{name}.org/download/%{tarname}-%{ver}-%{beta}.tar.gz
Requires:		%{libluajitcomm} = %{version}-%{release}

%description
LuaJIT has been successfully used as a scripting middle-ware in games,
3D modelers, numerical simulations, trading platforms and many other
specialty applications.
It combines high flexibility with high performance and an unmatched low
memory footprint: less than 125K for the VM plus less than 85K for the
JIT compiler (on x86).
LuaJIT has been in continuous development since 2005. It is widely considered
to be one of the fastest dynamic language implementations. 

%prep
%setup -q -n %{tarname}-%{ver}-%{beta}

%build  
%ifarch	x86_64
%make amalg PREFIX=%{_usr} TARGET_CFLAGS=-DMULTIARCH_PATH='\"%{_libdir}/\"'
%else
%make amalg PREFIX=%{_usr} INSTALL_LIB="%{buildroot}%{_libdir}"
%endif

%install

%makeinstall_std PREFIX=%{_usr} INSTALL_LIB=%{buildroot}%{_libdir}

ln -sf %{_bindir}/%{name}-%{ver}-%{beta} %{buildroot}%{_bindir}/%{name}
ln -sf %{_libdir}/libluajit-%{api}.so.%{major}.0.0 %{buildroot}%{_libdir}/libluajit-%{api}.so
 
%files
%doc COPYRIGHT README
%{_bindir}/%{name}-%{ver}-%{beta}
%{_bindir}/%{name}
%{_mandir}/man1/luajit.1.xz

%package -n %{libluajitcomm}
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		System/Libraries
%description -n %{libluajitcomm}

LuaJIT has been successfully used as a scripting middle-ware in games,
3D modelers, numerical simulations, trading platforms and many other
specialty applications.
It combines high flexibility with high performance and an unmatched low
memory footprint: less than 125K for the VM plus less than 85K for the
JIT compiler (on x86).
LuaJIT has been in continuous development since 2005. It is widely considered
to be one of the fastest dynamic language implementations.

%files -n %{libluajitcomm}
%{_datadir}/%{name}-%{ver}-%{beta}/jit/*.lua

%package -n %{libluajit}
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		System/Libraries
Requires:	%{libluajitcomm} = %{version}-%{release}
%description -n %{libluajit}

LuaJIT has been successfully used as a scripting middle-ware in games,
3D modelers, numerical simulations, trading platforms and many other
specialty applications.
It combines high flexibility with high performance and an unmatched low
memory footprint: less than 125K for the VM plus less than 85K for the
JIT compiler (on x86).
LuaJIT has been in continuous development since 2005. It is widely considered
to be one of the fastest dynamic language implementations.

%files -n %{libluajit}
%{_libdir}/lib%{name}*.so.%{major}*

%package -n %{devluajit}
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		Development/Other
Requires:	%{libluajit} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarname}-devel = %{version}-%{release}

%description -n %{devluajit}
This package contains header files needed by developers.

%files -n %{devluajit}
%{_includedir}/luajit*/*.h*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libluajit*.a
%{_libdir}/libluajit-%{api}.so


%changelog

* Mon Jan 14 2013 barjac <barjac> 2.0.0-0.2.beta11.1.mga3
+ Revision: 388063
- fix release format until next version - note in spec
- new beta
- drop patch

* Sun Jul 08 2012 barjac <barjac> 2.0.0-0.2.beta10.mga3
+ Revision: 268791
- add missing symlink

* Sat Jul 07 2012 barjac <barjac> 2.0.0-0.1.beta10.mga3
+ Revision: 268735
- imported package luajit

